Skip to content
Start here

Delete IPFS Universal Path Gateway Content List Entry

client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.delete(stringidentifier, stringcontentListEntryIdentifier, EntryDeleteParams { zone_id } params, RequestOptionsoptions?): EntryDeleteResponse { id } | null
DELETE/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries/{content_list_entry_identifier}

Delete IPFS Universal Path Gateway Content List Entry

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames Write
ParametersExpand Collapse
identifier: string

Specify the identifier of the hostname.

maxLength32
contentListEntryIdentifier: string

Specify the identifier of the hostname.

maxLength32
params: EntryDeleteParams { zone_id }
zone_id: string

Specify the identifier of the hostname.

maxLength32
ReturnsExpand Collapse
EntryDeleteResponse { id }
id: string

Specify the identifier of the hostname.

maxLength32

Delete IPFS Universal Path Gateway Content List Entry

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const entry = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.delete(
  '023e105f4ecef8ad9ca31a8372d0c353',
  '023e105f4ecef8ad9ca31a8372d0c353',
  { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(entry.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  },
  "success": true
}